summaryrefslogtreecommitdiffstats
path: root/source/ap/joe/joe.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/joe/joe.SlackBuild')
-rwxr-xr-xsource/ap/joe/joe.SlackBuild35
1 files changed, 28 insertions, 7 deletions
diff --git a/source/ap/joe/joe.SlackBuild b/source/ap/joe/joe.SlackBuild
index f3672e24e..f681cd310 100755
--- a/source/ap/joe/joe.SlackBuild
+++ b/source/ap/joe/joe.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,21 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=3.5
-ARCH=${ARCH:-x86_64}
+PKGNAM=joe
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-2}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -34,7 +45,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf joe-$VERSION
-tar xvf $CWD/joe-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/joe-$VERSION.tar.?z* || exit 1
cd joe-$VERSION || exit 1
chown -R root:root .
@@ -46,10 +57,12 @@ find . \
./configure \
--prefix=/usr \
+ --docdir=/usr/doc/joe-${VERSION} \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--program-prefix="" \
--program-suffix="" \
- $ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
@@ -66,9 +79,17 @@ find $PKG | xargs file | grep -e "executable" -e "shared object" \
mkdir -p $PKG/usr/doc/joe-$VERSION
cp -a \
- COPYING HACKING HINTS LIST NEWS README TODO docs/help-system.html \
+ COPYING* HACKING HINTS LIST NEWS README* TODO docs/help-system.html \
$PKG/usr/doc/joe-$VERSION
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc